%ifarch %{arm}
%define build_docs     0
%else
%define build_docs     1
%endif

%define qtmajor 5
%define qtminor 9
%define qtsubminor 4

%define rel 1

%define qtversion         %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtpurchasing   %mklibname qt5purchasing %{qtmajor}
%define libqtpurchasing_d %mklibname qt5purchasing -d

%define qttarballdir      qtpurchasing-opensource-src-%{qtversion}

Name:           qtpurchasing5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Purchasing component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Concurrent) >= %{version}
BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

%description
Qt%{qtmajor} Purchasing component.

%files
%{_qt5_qml}/QtPurchasing/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtPurchasing%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtPurchasing%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtpurchasing.qch
%{_qt5_docdir}/qtpurchasing/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtpurchasing}
Summary:        Qt%{qtmajor} Purchasing Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtpurchasing}
Qt%{qtmajor} Purchasing Component Library.

%files -n %{libqtpurchasing}
%{_qt5_libdir}/libQt5Purchasing.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpurchasing_d}
Summary:        Devel files needed to build apps based on QtPurchasing
Group:          Development/KDE and Qt
Requires:       %{libqtpurchasing} = %{version}
Provides:       libqtpurchasing5-devel = %{version}
Provides:       libqt5purchasing-devel = %{version}
Provides:       qtpurchasing5-devel = %{version}
Provides:       qt5purchasing-devel = %{version}

%description -n %{libqtpurchasing_d}
Devel files needed to build apps based on Qt Purchasing.

%files -n %{libqtpurchasing_d}
%{_qt5_includedir}/QtPurchasing/
%{_qt5_libdir}/libQt5Purchasing.so
%{_qt5_libdir}/pkgconfig/Qt5Purchasing.pc
%{_qt5_libdir}/cmake/Qt5Purchasing/
%{_qt5_libdir}/*.prl
%{_qt5_prefix}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/purchasing/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtpurchasing-opensource-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Mar 02 2018 neoclust <neoclust> 5.9.4-1.mga6
  (not released yet)
+ Revision: 1206114
- Sync with cauldron: 5.9.4
- Add package in mga6

* Wed Dec 27 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1185614
- New version 5.9.3

* Wed Aug 09 2017 daviddavid <daviddavid> 5.9.1-1.mga7
+ Revision: 1139437
- initial package qtpurchasing5

